Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 233125 - Some firefox extension don't survive after firefox upgrade or install any other extension
Summary: Some firefox extension don't survive after firefox upgrade or install any oth...
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: firefox
Version: rawhide
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Martin Stransky
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-20 15:41 UTC by Yijun Yuan
Modified: 2018-04-11 09:13 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-08-01 19:25:21 UTC


Attachments (Terms of Use)

Description Yijun Yuan 2007-03-20 15:41:21 UTC
Description of problem:
These firefox extensions: 
* "official" del.icio.us for firefox
* google toolbar
* foxyproxy
don't work any longer when firefox upgrade from 2.0.0.1 to 2.0.0.2.

Also, they can only be installed & used on a "clean" firefox profile. If any
firefox extension is installed by the user first,  these extensions could be
installed, but they just don't work.

A third description: when they are installed on a "clean" profile, they work
well. But I cannot install other extensions, or they will stop working.

In either case(after a change), run firefox in the terminal, it first segfaults,
then can startup normally.


Version-Release number of selected component (if applicable):
firefox-2.0.0.2-2.fc7

How reproducible:
everytime

Steps to Reproduce:
1. install del.icio.us to a "clean" profile
2. restart firefox and then configure del.icio.us to work.
3.  install another extension, such as foxyproxy
4. restart firefox again

  
Actual results:
firefox segfaults. It could be started in a second try, but those extensions
don't work.


Expected results:
firefox should start normally, and all extensions should work as usual.


Additional info:
the "official" firefox downloaded from mozilla.com works well, so this is fedora
specific.

Comment 1 Christopher Aillon 2007-03-20 17:19:44 UTC
Martin, please have a look at this.

Comment 2 Martin Stransky 2007-03-20 17:35:11 UTC
okay

Comment 3 Martin Stransky 2007-03-26 14:02:51 UTC
Can you please check to update to firefox-2.0.0.2-3.fc7?

Anyway, I can't reproduce it. I installed google toolbar/foxyproxy extensions to
a clear FX 2.0.0.2-2, updated to 2.0.0.2-3 and toolbar/foxyproxy were here.

It could be a problem with del.icio.us, but I didn't check it. It needs an ugly
registration. Can you please check the update without it? (i.e. remove it and
then update the system)

Comment 4 Yijun Yuan 2007-03-27 17:13:29 UTC
Hi, 

I cannot find the old version of firefox so I just tried with some new profile.
It seems this has nothing to do with del.icio.us plugin. It is because of the
"colorzilla" addon (strange!) When I uninstalled the "colorzilla" plugin, all of
the other plugins come back to life now.

Will you look into this?

Thanks!

Comment 5 Christopher Aillon 2007-03-27 17:18:07 UTC
Odd.  It could simply be a bug in colorzilla.  I think that this should be
reported there.  We don't ship colorzilla so there's not much i can do to fix it....

Comment 6 Yijun Yuan 2007-03-28 01:31:51 UTC
(In reply to comment #5)
> Odd.  It could simply be a bug in colorzilla.  I think that this should be
> reported there.  We don't ship colorzilla so there's not much i can do to fix
it....

Well, I don't agree. It only breaks in rawhide firefox, not with "official"
downloaded version. Also, please open firefox in the terminal, see how many
times it crashes when starting up/exiting.

Thanks!

Comment 7 Martin Stransky 2007-04-12 11:13:35 UTC
If it crashes, please attach a backtrace here. run "firefox -g" from terminal,
run it and when it crashes, type "bt" and attach it here.

Comment 8 Matěj Cepl 2007-08-01 19:25:21 UTC
No information requested was provided, so I close this bug as INSUFFICIENT_DATA.
Reporter, if you could, please, reopen with additional information.



Note You need to log in before you can comment on or make changes to this bug.